<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- DO NOT EDIT: This is a generated file that is synchronized -->
<!-- by MyEclipse Hibernate tool integration.                   -->
<!-- Created Wed Sep 08 13:36:34 CDT 2004                         -->
<hibernate-mapping
    default-lazy="false"
    auto-import="true"
    default-access="property"
    default-cascade="all"
    package="gov.va.med.esr.common.model.comms">

	<class name="CommsBulletin" table="COM_EMAIL_TEMPLATE">

        <id name="identifier" type="big_decimal" column="COM_EMAIL_TEMPLATE_ID">
            <generator class="gov.va.med.fw.persistent.hibernate.BigSequenceGenerator">
                <param name="sequence">transaction_s</param>
            </generator>
        </id>
		<version name="version" type="java.lang.Integer" column="RECORD_MODIFIED_COUNT"/>	
		
		
		<property
			name="commsBulletinText"
			type="java.lang.String"
			column="EMAIL_TEMPLATE_TEXT"/>
	
		<property
			name="commsBulletinName"
			type="java.lang.String"
			column="EMAIL_TEMPLATE_NAME"/>
		
		<property
			name="description"
			type="java.lang.String"
			column="EMAIL_TEMPLATE_DESCRIPTION"/>	
		<property
			name="recipient"
			type="java.lang.String"
			column="EMAIL_RECIPIENT_LIST"/>
		<property
			name="subject"
			type="java.lang.String"
			column="EMAIL_SUBJECT_TITLE"/>
		<property
			name="siteRecipientPrefixList"
			type="java.lang.String"
			column="SITE_EMAIL_PREFIX"/>
		<property
			name="siteReceivingIndicator"
			type="java.lang.String"
			column="SITE_EMAIL_TYPE_CD"/>

		<!-- ADR required attributes -->
        <property name="createdOn" column="RECORD_CREATED_DATE" type="timestamp" not-null="true" update="false"/>
        <property name="modifiedOn" column="RECORD_MODIFIED_DATE" type="timestamp" not-null="true"/>
		<property name="createdBy" column="RECORD_CREATED_BY" update="false" type="gov.va.med.fw.persistent.hibernate.AuditUserType"/> 
		<property name="modifiedBy" column="RECORD_MODIFIED_BY" type="gov.va.med.fw.persistent.hibernate.AuditUserType"/>		
	</class>
	
</hibernate-mapping>
